Method: instances.verifyNonce

Full name: projects.locations.instances.verifyNonce

Verifies the nonce used to graduate an instance.

HTTP request

POST https://{endpoint}/v1alpha/{name}:verifyNonce

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The name of the instance to verify graduation nonce for. Format: projects/{projectId}/locations/{region}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "nonce": string,
  "flow": enum (Flow)
}
Fields
nonce

string

Required. The nonce to verify.

flow

enum (Flow)

Required. The flow to verify nonce for.

Response body

Response for verify nonce.

If successful, the response body contains data with the following structure:

JSON representation
{
  "success": boolean,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "verifyGraduationMetadata": {
    object (VerifyGraduatePocInstanceMetadata)
  }
  // End of mutually exclusive fields.
}
Fields
success

boolean

Output only. Whether the nonce was verified.

Metadata for verify nonce. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
verifyGraduationMetadata

object (VerifyGraduatePocInstanceMetadata)

Output only. Metadata for graduation verify nonce operation.

End of mutually exclusive fields.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.instances.verifyNonce

For more information, see the IAM documentation.

Flow

Flow type.

Enums
FLOW_UNSPECIFIED The default value.
VERIFY_POC_GRADUATION_NONCE Verify nonce for graduation.

VerifyGraduatePocInstanceMetadata

Metadata for verify nonce.

JSON representation
{
  "email": string
}
Fields
email

string

The email of the user whom the nonce was sent to.